<template lang="pug">
	.itemComentario
		figure: img(src="@img/man-user.svg", alt="Mobil")
		span.archivo( v-if="comentario.archivo" ) {{ comentario.archivo | capitalizar }}
		span.fecha {{comentario.creado}}
		h3( v-if="comentario.usuario" ) {{ comentario.usuario.nombre }}
		p {{comentario.texto}}
</template>

<script>
export default {
	name:"ItemComentario",
	props:{
		comentario:Object
	},
}
</script>

<style lang="stylus">
@import '~nib/index'
@import "../stylus/base/utiles.styl"

.itemComentario
	display grid
	grid-template-columns 48px 1fr auto
	grid-template-rows min-content min-content 1fr
	grid-gap 0 0.5rem
	grid-template-areas \
		"foto nombre fecha" \
		"foto archivo fecha"\
		"foto texto texto"
	cursor pointer
	padding 0.25rem

	&:hover
		background-color alpha( tint( azul, 80% ), 50%)


	figure
		align-self start
		grid-area foto
		width 48px
		height 48px
		border-radius 48px;
		box-sizing border-box
		border 2px solid blanco
		background-color tint( azul, 60% )
		overflow hidden

	h3
		grid-area nombre
		text-align left
		color darken( gris, 50% )
		font-weight 500
		font-size calcRem( 10 )
		margin-bottom 0.2rem

	p
		grid-area texto
		text-align left
		color darken( blanco , 60% )
		font-size calcRem( 10 )
		font-weight 300
		line-height 1.2

	.fecha
		grid-area fecha
		text-align right
		color tint( azul, 40% )
		font-size calcRem( 10 )
		font-weight 300
		margin-bottom 0.2rem

	.archivo
		grid-area archivo
		text-align left
		color tint( azul, 30% )
		font-size calcRem( 10 )
		font-weight 400
		margin-bottom 0.2rem


</style>


